/[resiprocate]/main/resip/stack/test/runtests.sh
ViewVC logotype

Annotation of /main/resip/stack/test/runtests.sh

Parent Directory Parent Directory | Revision Log Revision Log


Revision 5777 - (hide annotations) (download) (as text)
Thu Jan 5 01:36:53 2006 UTC (13 years, 11 months ago) by derek
File MIME type: application/x-sh
File size: 1060 byte(s)
added support for wince Visual Studio 8; no strftime on wince, so this must be provided to link
scripts to run known good tests in resip/stack/test, rutil/test. added a check target to main/Makefile to run aformentioned scripts.


1 derek 5777 function die() {
2     echo "$1" >&2;
3     exit 1;
4     }
5    
6     failed=0;
7    
8     for i in \
9     testAppTimer \
10     testApplicationSip \
11     testConnectionBase \
12     testCorruption \
13     testDigestAuthentication \
14     testEmbedded \
15     testEmptyHeader \
16     testExternalLogger \
17     testIM \
18     testMessageWaiting \
19     testMultipartMixedContents \
20     testMultipartRelated \
21     testParseBuffer \
22     testParserCategories \
23     testPidf \
24     testPksc7 \
25     testPlainContents \
26     testRlmi \
27     testSdp \
28     testSipFrag \
29     testSipMessage \
30     testSipMessageMemory \
31     testStack \
32     testTcp \
33     testTime \
34     testTimer \
35     testTuple \
36     testUri;
37     do
38     if test ! -x $i; then
39     echo "$i: test does not exist" >&2;
40     else
41     ./$i >$i.log 2>&1;
42     if test $? -ne 0; then
43     die "$i: test failed";
44     failed=`expr ${failed} + 1`;
45     fi;
46     echo "$i: test passed";
47     fi;
48     done;
49    
50     if test ${failed} -ne 0; then
51     echo "${failed} tests failed" >&2;
52     exit 1;
53     fi;
54    
55     # sipTortureTests
56     # test503Generator
57     # testDigestAuthentication2
58     # testFlowId
59     # testLockStep
60     # testResponses
61     # testUdp
62     # testDns

Properties

Name Value
svn:executable *

webmaster AT resiprocate DOT org
ViewVC Help
Powered by ViewVC 1.1.27